CREATE TABLE ben_integration_key_map (
    OBJECT_NAME              VARCHAR2(1024),
    BASE_NAME                VARCHAR2(1024),
    SURROGATE_ID             NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0) ,
    CONFIG_NUM_1             NUMBER        ,
    CONFIG_NUM_2             NUMBER        ,
    CONFIG_NUM_3             NUMBER        ,
    CONFIG_NUM_4             NUMBER        ,
    CONFIG_NUM_5             NUMBER        ,
    CONFIG_CHAR_1            VARCHAR2(960) ,
    CONFIG_CHAR_2            VARCHAR2(960) ,
    CONFIG_CHAR_3            VARCHAR2(960) ,
    CONFIG_CHAR_4            VARCHAR2(960) ,
    CONFIG_CHAR_5            VARCHAR2(960) ,
    CONFIG_DATE_1            DATE          ,
    CONFIG_DATE_2            DATE          ,
    CONFIG_DATE_3            DATE          ,
    CONFIG_DATE_4            DATE          ,
    CONFIG_DATE_5            DATE          ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    OBJECT_NAME              VARCHAR2(1024),
    BASE_NAME                VARCHAR2(1024),
    SURROGATE_ID             NUMBER(18, 0) ,
    BUSINESS_GROUP_ID        NUMBER(18, 0) ,
    CONFIG_NUM_1             NUMBER        ,
    CONFIG_NUM_2             NUMBER        ,
    CONFIG_NUM_3             NUMBER        ,
    CONFIG_NUM_4             NUMBER        ,
    CONFIG_NUM_5             NUMBER        ,
    CONFIG_CHAR_1            VARCHAR2(960) ,
    CONFIG_CHAR_2            VARCHAR2(960) ,
    CONFIG_CHAR_3            VARCHAR2(960) ,
    CONFIG_CHAR_4            VARCHAR2(960) ,
    CONFIG_CHAR_5            VARCHAR2(960) ,
    CONFIG_DATE_1            DATE          ,
    CONFIG_DATE_2            DATE          ,
    CONFIG_DATE_3            DATE          ,
    CONFIG_DATE_4            DATE          ,
    CONFIG_DATE_5            DATE          ,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ben_integration_key_map PRIMARY KEY (OBJECT_NAME, BASE_NAME, SURROGATE_ID, BUSINESS_GROUP_ID, OBJECT_NAME, BASE_NAME, SURROGATE_ID, BUSINESS_GROUP_ID)
);
